Summary:   Phone number word generator
Name:      phraze
Version:   0.4
Release:   1
Epoch:     0
License:   LGPL
Group:     Applications/Text
URL:       http://www.incava.org/projects/phraze
Source:    http://www.incava.org/pub/phraze/phraze-%{version}.tar.gz
Requires:  ruby
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Packager:  Jeff Pace (jpace@incava.org)
Vendor:    incava.org
Requires:  ruby >= 1.6.0

%description
Produces a list of combinations of words within a phone number.

%prep
%setup -q

%build

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,-)
%{_bindir}/phraze
%{_mandir}/man1/phraze.1*
%{_datadir}/phraze/wordlist.phr

%changelog
* Sun Sep 25 2005 Jeff Pace <jpace@incava.org> - 0.4-1
- Fixed to work with Ruby 1.6.

* Thu Sep  1 2005 Jeff Pace <jpace@incava.org> - 0.3-1
- Fixed bug in script, referencing the word list.

* Wed Aug  2 2005 Jeff Pace <jpace@incava.org> - 0.2-1
- Complete rewrite of program, for speed, memory consumption, and legibility.
- Simpler number of options.
- Expanded word list included.
